package ink.wgink.module.form.pojo.vos.design;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 表单设计
 * @Author: WenG
 * @Date: 2022/3/8 20:21
 * @Version: 1.0
 **/
public class FormDesignVO {

    private String formCode;
    private String formName;
    private String formSummary;
    private Integer formVersion;
    private JSONArray data;
    private List<Field> fields;

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getFormName() {
        return formName == null ? "" : formName.trim();
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormSummary() {
        return formSummary == null ? "" : formSummary.trim();
    }

    public void setFormSummary(String formSummary) {
        this.formSummary = formSummary;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public JSONArray getData() {
        return data;
    }

    public void setData(JSONArray data) {
        this.data = data;
    }

    public List<Field> getFields() {
        return fields == null ? new ArrayList<>() : fields;
    }

    public void setFields(List<Field> fields) {
        this.fields = fields;
    }

    public static class Field {
        private JSONObject data;
        private String html;

        public JSONObject getData() {
            return data;
        }

        public void setData(JSONObject data) {
            this.data = data;
        }

        public String getHtml() {
            return html == null ? "" : html.trim();
        }

        public void setHtml(String html) {
            this.html = html;
        }
    }
}
